PHP-инклюдинг в Unak-CMS

Дата публикации:
21.09.2006
Дата изменения:
17.10.2006
Всего просмотров:
1851
Опасность:
Высокая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Unak-CMS 1.x
Уязвимые версии: Unak-CMS 1.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "dirroot" в сценарии fckeditor/editor/filemanager/browser/default/connectors/php/connector.php и fckeditor/editor/dialog/fck_link.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

http://[host]/[Script Path]/fckeditor/editor/filemanager/browser/default/
connectors/php/connector.php?Dirroot=[file]
http://[host]/[Script Path]/fckeditor/editor/dialog/fck_link.php?dirroot=[file]

URL производителя: www.unak.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: UNAK-CMS <= 1.5 (dirroot) Remote File Include Vulnerabilities

или введите имя

CAPTCHA